Summary
Imports a new component group document.
Description
Imports a new component group document.
Route
POST /automation-studio/component-groups/import
Roles
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| componentGroups | array | yes | ComponentGroups array. |
{ "componentGroups": [ { "name": "test", "gbacRead": [ "elit", "aliquip do cupidatat in", "velit" ], "members": [ { "path": [ "sunt", "ut fugiat dolor laboris", "Duis nisi ut deserunt tempor", "aliqua esse minim in" ], "type": "folder" }, { "path": [ "adipisicing consectetur", "laborum dolore" ], "type": "folder" }, { "path": [ "cupidatat", "proident adipisicing" ], "type": "folder" }, { "path": [ "labore est" ], "type": "folder" }, { "path": "elit Lorem officia cillum", "type": "component", "sourceCollection": "ex ut ut consequat", "ref": "laborum Lorem in ullamco commodo" } ], "_id": "8B43eB256A0eD6b5D8972Faf", "version": 1 } ] }
{ "type": "object", "properties": { "componentGroups": { "title": "componentGroups", "description": "Array of component group documents to import. If '_id' is provided, it will be replaced with an autogenerated '_id'. If a component group's name is already used in the component groups collection, it will be renamed with a numeric suffix.", "type": "array", "items": { "$ref": "componentGroupImport" } } }, "required": [ "componentGroups" ], "additionalProperties": false }
Return
| Name | Type | Description |
|---|---|---|
| response | object | Results from each individual import operation. |
{ "imported": [ { "message": "qui aliquip occaecat sint", "original": { "name": "test", "gbacRead": [ "ullamco fugiat magna cillum", "minim id nulla", "esse cillum dolore sint sunt" ], "members": [ { "path": "qui ut ipsum", "type": "component", "sourceCollection": "laboris labore enim esse", "ref": "dolor voluptate tempor consectetur" }, { "path": "labore proident aute", "type": "component", "sourceCollection": "voluptate dolor cupidatat sint labore", "ref": "sed sit" }, { "path": "et Duis ipsum", "type": "component", "sourceCollection": "mollit veniam eiusmod", "ref": "sunt" }, { "path": "mollit Lorem in velit", "type": "component", "sourceCollection": "nostrud Lorem", "ref": "sit" }, { "path": "culpa occaecat labore", "type": "component", "sourceCollection": "mollit dolore", "ref": "dolore consequat incididunt mollit" } ], "_id": "5A7e6B3Cee550fFE25f3B5DE", "version": 1 }, "created": null, "edit": "sunt in", "success": true }, { "message": "irure in consequat id", "original": { "name": "test", "gbacRead": [ "Ut voluptate ex non", "culpa", "dolor ex mollit adipisicing", "aute", "magna qui dolore" ], "members": [ { "path": [ "commodo", "ut eu sunt enim ad", "velit est", "nisi ea Duis" ], "type": "folder" }, { "path": [ "aliquip velit laborum qui", "consequat", "et cupidatat eu amet dolore", "incididunt" ], "type": "folder" }, { "path": [ "nisi ipsum minim magna", "Lorem do pariatur exercitation aliqua" ], "type": "folder" } ], "_id": "eae2ab6FE4Ca8bAbbB1D8cAD", "version": 1 }, "created": null, "edit": null, "success": true }, { "message": "reprehenderit mollit Lorem consectetur", "original": { "name": "test", "gbacRead": [ "ut ut veniam id Duis", "cupidatat in", "incididunt" ], "members": [ { "path": [ "fugiat cupidatat", "dolor nisi officia veniam sunt", "tempor sed dolore anim aliquip", "ex in fugiat minim non" ], "type": "folder" }, { "path": "consectetur mollit do", "type": "component", "sourceCollection": "sunt enim cillum magna tempor", "ref": "Lorem veniam pariatur ut" } ], "_id": "bd0be4dCEcd0CE18bec0baF2", "version": 1 }, "created": null, "edit": "deserunt pariatur est in", "success": true }, { "message": "sint incididunt mollit id", "original": { "name": "test", "gbacRead": [ "Duis est dolore in laboris", "elit tempor sint ut", "sed", "commodo aliquip" ], "members": [ { "path": [ "ullamco eu nulla cupidatat", "ex sed Excepteur", "aute incididunt sint aliquip dolor" ], "type": "folder" }, { "path": [ "et", "minim", "amet enim", "minim consequat magna", "Ut labore id anim non" ], "type": "folder" } ], "_id": "AfBA435FA0ed21BCEAdB1Bb7", "version": 1 }, "created": null, "edit": "in", "success": false }, { "message": "in ea ex exercitation enim", "original": { "name": "test", "gbacRead": [ "cupidatat minim ipsum laborum non", "enim" ], "members": [ { "path": [ "adipisicing veniam mollit ex aliquip" ], "type": "folder" }, { "path": [ "dolore Duis dolor eu reprehenderit", "ipsum do aute consequat sit", "ullamco" ], "type": "folder" }, { "path": [ "culpa consequat", "ullamco sit", "labore consectetur in", "nostrud deserunt laborum eu ut", "reprehenderit" ], "type": "folder" }, { "path": "sint", "type": "component", "sourceCollection": "do esse voluptate", "ref": "non voluptate" } ], "_id": "76FFB53FC28beDF1e38eDb4c", "version": 1 }, "created": { "name": "test", "gbacRead": [ "mollit qui ut consequat", "sed ut dolor cillum elit", "eiusmod voluptate qui" ], "members": [ { "path": [ "in aliquip Ut ad" ], "type": "folder" }, { "path": "consequat", "type": "component", "sourceCollection": "ipsum", "ref": "eiusmod minim sunt" }, { "path": "fugiat elit enim ad", "type": "component", "sourceCollection": "Ut cupidatat labore", "ref": "cupidatat et exercitation sunt" }, { "path": "Excepteur dolore nulla enim", "type": "component", "sourceCollection": "sint aliqua laboris Ut ad", "ref": "amet" } ], "_id": "Be8327D51AbAb61dC7f9eF91", "description": "ex aliqua nostrud", "gbacWrite": [ "cupidatat" ], "version": 1 }, "edit": null, "success": true } ] }
{ "title": "response", "type": "object", "properties": { "imported": { "type": "array", "items": { "type": "object", "properties": { "success": { "type": "boolean", "description": "Status flag denoting the success (true) or failure (false) of the component group's import operation." }, "message": { "type": "string", "description": "Message containing either confirmation of the import operation or the reason for the failure of the import operation." }, "original": { "description": "The original component group given in the import array.", "$ref": "componentGroupImport" }, "created": { "description": "The imported component group as it exists after being imported.", "oneOf": [ { "$ref": "componentGroup" }, { "type": "null" } ] }, "edit": { "description": "URI to the edit page for the imported component group.", "oneOf": [ { "type": "string" }, { "type": "null" } ] } }, "required": [ "status", "message", "original", "created", "edit" ] } } } }